ApiHive3ReplicationMetricsStage (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiHive3ReplicationMetricsStage

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHive3ReplicationMetricsStage

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiHive3ReplicationMetricsStage
      extends Object

  ApiHive3ReplicationMetricsStage

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHive3ReplicationMetricsStage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHive3ReplicationMetricsStage` | `addMetricsItem(ApiHive3ReplicationMetric metricsItem)`
    `ApiHive3ReplicationMetricsStage` | `endDate(String endDate)`
    `ApiHive3ReplicationMetricsStage` | `endDateOnSrc(String endDateOnSrc)`
    `ApiHive3ReplicationMetricsStage` | `endDateOnTgt(String endDateOnTgt)`
    `boolean` | `equals(Object o)`
    `ApiHive3ReplicationMetricsStage` | `errorLogPath(String errorLogPath)`
    `String` | `getEndDate()` Get endDate
    `String` | `getEndDateOnSrc()` Get endDateOnSrc
    `String` | `getEndDateOnTgt()` Get endDateOnTgt
    `String` | `getErrorLogPath()` Get errorLogPath
    `BigDecimal` | `getLastSuccessfulDumpId()` Get lastSuccessfulDumpId
    `List<ApiHive3ReplicationMetric>` | `getMetrics()` Get metrics
    `String` | `getName()` Get name
    `BigDecimal` | `getOldestOpenTxnTimestampAtBegin()` Get oldestOpenTxnTimestampAtBegin
    `BigDecimal` | `getOldestOpenTxnTimestampAtEnd()` Get oldestOpenTxnTimestampAtEnd
    `String` | `getStartDate()` Get startDate
    `ApiHive3ReplicationMetricsStatus` | `getStatus()` Get status
    `int` | `hashCode()`
    `ApiHive3ReplicationMetricsStage` | `lastSuccessfulDumpId(BigDecimal lastSuccessfulDumpId)`
    `ApiHive3ReplicationMetricsStage` | `metrics(List<ApiHive3ReplicationMetric> metrics)`
    `ApiHive3ReplicationMetricsStage` | `name(String name)`
    `ApiHive3ReplicationMetricsStage` | `oldestOpenTxnTimestampAtBegin(BigDecimal oldestOpenTxnTimestampAtBegin)`
    `ApiHive3ReplicationMetricsStage` | `oldestOpenTxnTimestampAtEnd(BigDecimal oldestOpenTxnTimestampAtEnd)`
    `void` | `setEndDate(String endDate)`
    `void` | `setEndDateOnSrc(String endDateOnSrc)`
    `void` | `setEndDateOnTgt(String endDateOnTgt)`
    `void` | `setErrorLogPath(String errorLogPath)`
    `void` | `setLastSuccessfulDumpId(BigDecimal lastSuccessfulDumpId)`
    `void` | `setMetrics(List<ApiHive3ReplicationMetric> metrics)`
    `void` | `setName(String name)`
    `void` | `setOldestOpenTxnTimestampAtBegin(BigDecimal oldestOpenTxnTimestampAtBegin)`
    `void` | `setOldestOpenTxnTimestampAtEnd(BigDecimal oldestOpenTxnTimestampAtEnd)`
    `void` | `setStartDate(String startDate)`
    `void` | `setStatus(ApiHive3ReplicationMetricsStatus status)`
    `ApiHive3ReplicationMetricsStage` | `startDate(String startDate)`
    `ApiHive3ReplicationMetricsStage` | `status(ApiHive3ReplicationMetricsStatus status)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHive3ReplicationMetricsStage

          public ApiHive3ReplicationMetricsStage()

  - ### Method Detail

    - #### name

          public ApiHive3ReplicationMetricsStage name(String name)

    - #### getName

          public String getName()

      Get name
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### status

          public ApiHive3ReplicationMetricsStage status(ApiHive3ReplicationMetricsStatus status)

    - #### getStatus

          public ApiHive3ReplicationMetricsStatus getStatus()

      Get status
      Returns:
        status

    - #### setStatus

          public void setStatus(ApiHive3ReplicationMetricsStatus status)

    - #### startDate

          public ApiHive3ReplicationMetricsStage startDate(String startDate)

    - #### getStartDate

          public String getStartDate()

      Get startDate
      Returns:
        startDate

    - #### setStartDate

          public void setStartDate(String startDate)

    - #### endDate

          public ApiHive3ReplicationMetricsStage endDate(String endDate)

    - #### getEndDate

          public String getEndDate()

      Get endDate
      Returns:
        endDate

    - #### setEndDate

          public void setEndDate(String endDate)

    - #### metrics

          public ApiHive3ReplicationMetricsStage metrics(List<ApiHive3ReplicationMetric> metrics)

    - #### addMetricsItem

          public ApiHive3ReplicationMetricsStage addMetricsItem(ApiHive3ReplicationMetric metricsItem)

    - #### getMetrics

          public List<ApiHive3ReplicationMetric> getMetrics()

      Get metrics
      Returns:
        metrics

    - #### setMetrics

          public void setMetrics(List<ApiHive3ReplicationMetric> metrics)

    - #### errorLogPath

          public ApiHive3ReplicationMetricsStage errorLogPath(String errorLogPath)

    - #### getErrorLogPath

          public String getErrorLogPath()

      Get errorLogPath
      Returns:
        errorLogPath

    - #### setErrorLogPath

          public void setErrorLogPath(String errorLogPath)

    - #### oldestOpenTxnTimestampAtBegin

          public ApiHive3ReplicationMetricsStage oldestOpenTxnTimestampAtBegin(BigDecimal oldestOpenTxnTimestampAtBegin)

    - #### getOldestOpenTxnTimestampAtBegin

          public BigDecimal getOldestOpenTxnTimestampAtBegin()

      Get oldestOpenTxnTimestampAtBegin
      Returns:
        oldestOpenTxnTimestampAtBegin

    - #### setOldestOpenTxnTimestampAtBegin

          public void setOldestOpenTxnTimestampAtBegin(BigDecimal oldestOpenTxnTimestampAtBegin)

    - #### oldestOpenTxnTimestampAtEnd

          public ApiHive3ReplicationMetricsStage oldestOpenTxnTimestampAtEnd(BigDecimal oldestOpenTxnTimestampAtEnd)

    - #### getOldestOpenTxnTimestampAtEnd

          public BigDecimal getOldestOpenTxnTimestampAtEnd()

      Get oldestOpenTxnTimestampAtEnd
      Returns:
        oldestOpenTxnTimestampAtEnd

    - #### setOldestOpenTxnTimestampAtEnd

          public void setOldestOpenTxnTimestampAtEnd(BigDecimal oldestOpenTxnTimestampAtEnd)

    - #### endDateOnSrc

          public ApiHive3ReplicationMetricsStage endDateOnSrc(String endDateOnSrc)

    - #### getEndDateOnSrc

          public String getEndDateOnSrc()

      Get endDateOnSrc
      Returns:
        endDateOnSrc

    - #### setEndDateOnSrc

          public void setEndDateOnSrc(String endDateOnSrc)

    - #### endDateOnTgt

          public ApiHive3ReplicationMetricsStage endDateOnTgt(String endDateOnTgt)

    - #### getEndDateOnTgt

          public String getEndDateOnTgt()

      Get endDateOnTgt
      Returns:
        endDateOnTgt

    - #### setEndDateOnTgt

          public void setEndDateOnTgt(String endDateOnTgt)

    - #### lastSuccessfulDumpId

          public ApiHive3ReplicationMetricsStage lastSuccessfulDumpId(BigDecimal lastSuccessfulDumpId)

    - #### getLastSuccessfulDumpId

          public BigDecimal getLastSuccessfulDumpId()

      Get lastSuccessfulDumpId
      Returns:
        lastSuccessfulDumpId

    - #### setLastSuccessfulDumpId

          public void setLastSuccessfulDumpId(BigDecimal lastSuccessfulDumpId)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.